View Issue Details

IDProjectCategoryView StatusLast Update
0001737Ham Radio DeluxeBugpublic2018-11-30 16:36
ReporterKB3NPH 
Assigned ToW4PC 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.3.0.472 
Summary0001737: TX button for IC-718
DescriptionThe TX button in the GUI for the IC-718 will not key the transmitter.

TagsICOM
ModuleRig Control
Sub-ModuleFunctional
Testing

Relationships

Activities

WA9PIE

2014-10-15 08:39

administrator   ~0000571

Is this something that's been scheduled for the current build?

W4PC

2015-12-17 00:15

updater   ~0000693

there is no cat command for the 718, Must use tools/program options/Com Port TX to confgure it and the following radios

RADIO_IC706, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC706_IIG, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC707, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC718, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC725, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC735, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_TT_563, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC736, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC738, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC751A, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC756, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC765, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC775DSP, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC781, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,
    RADIO_IC821H, _T("TX"), 0x00, 0x00, 0xff, 0, 1, -1, -1,

user47

2015-12-18 05:45

  ~0000708

not possible - no TX CI-V command

Issue History

Date Modified Username Field Change
2014-10-14 20:30 KB3NPH New Issue
2014-10-15 08:39 WA9PIE Note Added: 0000571
2014-10-15 08:39 WA9PIE Summary TX button for IC-718 => Bug: TX button for IC-718
2015-09-17 13:37 WA9PIE Category Rig Control => Bug
2015-09-22 23:29 WA9PIE Fix Build TBD => (select)
2015-09-22 23:29 WA9PIE Report Build 6.2.72 => (select)
2015-09-22 23:29 WA9PIE Proposed Release => (select)
2015-09-22 23:29 WA9PIE Summary Bug: TX button for IC-718 => TX button for IC-718
2015-12-17 00:15 W4PC Reported in Build (ie. 377) (select) => 200
2015-12-17 00:15 W4PC Fixed in Release (select) => TBD
2015-12-17 00:15 W4PC Fixed in Build (ie. 377) (select) => 464
2015-12-17 00:15 W4PC Note Added: 0000693
2015-12-17 00:15 W4PC Status new => resolved
2015-12-17 00:15 W4PC Resolution open => fixed
2015-12-17 00:15 W4PC Assigned To => W4PC
2015-12-18 05:45 user47 Note Added: 0000708
2015-12-18 05:45 user47 Status resolved => closed
2017-03-08 19:01 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-05-21 23:57 WA9PIE Fixed in Version => 6.3.0.472
2017-05-21 23:57 WA9PIE Fixed in Build (ie. 377) 464 =>
2017-07-15 16:57 K7ZCZ Tag Attached: ICOM
2017-07-15 16:57 K7ZCZ Tag Attached: IC718
2018-11-29 00:48 WA9PIE Tag Renamed IC718 => Icom IC-718
2018-11-30 16:36 WA9PIE Tag Detached: Icom IC-718